Mailboxes
Create a draft
Saves a draft of a new message, or of a reply when `inReplyToMessageId` names a message in the mailbox, and returns it with status 201.
Saves a draft of a new message, or of a reply when inReplyToMessageId names a message in the mailbox, and returns it with status 201. Send it with POST /v1/mailboxes/{id}/drafts/{draftId}/send.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
to?array<string>|null
cc?array<string>|null
bcc?array<string>|null
replyTo?array<string>|null
subject?string|null
text?string|null
html?string|null
attachments?array<>|null
inReplyToMessageId?|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/mailboxes/string/drafts" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "threadId": "string", "inReplyToMessageId": "string", "state": "saved", "to": [ "string" ], "subject": "string", "createdAt": "string", "updatedAt": "string", "cc": [ "string" ], "bcc": [ "string" ], "replyTo": [ "string" ], "html": "string", "text": "string", "attachments": [ { "filename": "string", "content": "string", "mediaId": "string", "contentType": "string", "size": 1 } ]}